Name:		libopensync-plugin-syncml
Version:	0.22
Epoch:		1
Release:	%mkrel 5
Summary:	SyncML plugin for OpenSync synchronization framework
License:	LGPLv2+
Group:		Communications/Mobile
URL:		http://www.opensync.org
Source0:	http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
Patch0:		libopensync-plugin-syncml-0.22-warning.patch
Patch1:		libopensync-plugin-syncml-0.22-soup2.4.patch
Patch2:		libopensync-plugin-syncml-0.22-automake-1.13.patch

BuildRequires:	pkgconfig(opensync-1.0) < 0.30
BuildRequires:	syncml-devel >= 0.4.2
Requires:	libopensync >= %{epoch}:%{version}

%description
This plugin allows applications using OpenSync to synchronize via
SyncML.

%prep
%setup -q
%patch0 -p1 -b .warning
%patch1 -p0
%patch2 -p1 -b .automake-1_13

%build
autoreconf -sfi
%configure2_5x
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS
%{_libdir}/opensync/plugins/*
%{_datadir}/opensync/defaults/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.22-5.mga4
+ Revision: 532576
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1:0.22-4.mga4
+ Revision: 468765
- update BRs

* Sat Jan 12 2013 umeabot <umeabot> 1:0.22-3.mga3
+ Revision: 357936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 cjw <cjw> 1:0.22-2.mga3
+ Revision: 341420
- rpm group: Communications/Mobile
- patch2: fix build with automake 1.13

* Wed Oct 12 2011 juancho <juancho> 1:0.22-1.mga2
+ Revision: 154029
- imported package libopensync-plugin-syncml


* Tue Jul 19 2011 Gerardo Bueno <gejobj@gmail.com> 1:0.22-1mga1
- Mageia 1 repository
- Add libsoup 2.4 support

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.22-5mdv2011.0
+ Revision: 620211
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1:0.22-4mdv2010.0
+ Revision: 429822
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for latest libsyncml

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.22-2mdv2008.1
+ Revision: 187324
- some cleanups
- revert to 0.22 based on latest 0.22 spec in SVN

* Mon Jan 28 2008 Funda Wang <fwang@mandriva.org> 0.36-1mdv2008.1
+ Revision: 159030
- update to new version 0.36

* Tue Dec 25 2007 Funda Wang <fwang@mandriva.org> 0.35-1mdv2008.1
+ Revision: 137701
- New version 0.35

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Funda Wang <fwang@mandriva.org> 0.34-1mdv2008.1
+ Revision: 105662
- New version 0.34

* Fri Oct 19 2007 Funda Wang <fwang@mandriva.org> 0.33-1mdv2008.1
+ Revision: 100273
- fix libdir
- renew tarball
- use scons to build
- New version 0.33

* Fri Apr 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.0
+ Revision: 18817
- new version


* Sun Nov 12 2006 Buchan Milne <bgmilne@mandriva.org> 0.20-1mdv2007.0
+ Revision: 83501
- new version 0.20
- Import libopensync-plugin-syncml

* Wed Mar 29 2006 Buchan Milne <bgmilne@mandriva.org> 0.18.rev907-1mdk
- New release 0.18.rev907

* Mon Jan 30 2006 Buchan Milne <bgmilne@mandriva.org> 0.18.rev812-1mdk
- initial package based on the file plugin

